Index: autoload.c
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/autoload.c,v
retrieving revision 2.2
diff -u -p -r2.2 autoload.c
--- autoload.c	2001/08/07 08:00:58	2.2
+++ autoload.c	2001/11/11 06:54:53
@@ -12,8 +12,9 @@
  * Written by DJ Delorie <dj@cygnus.com>
  *
  */
-
-static char *cvsid = "\n%%% $Id: autoload.c,v 2.2 2001/08/07 08:00:58 corinna Exp $\n";
+#if 0
+static const char *cvsid = "\n%%% $Id: autoload.c,v 2.2 2001/08/07 08:00:58 corinna Exp $\n";
+#endif
 
 #include "win32.h"
 
Index: choose.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/choose.cc,v
retrieving revision 2.65
diff -u -p -r2.65 choose.cc
--- choose.cc	2001/11/09 23:37:22	2.65
+++ choose.cc	2001/11/11 06:54:55
@@ -27,7 +27,7 @@
 
 #if 0
 static const char *cvsid =
-  "\n%%% $Id: choose.cc,v 2.65 2001/11/09 23:37:22 rbcollins Exp $\n";
+  "\n%%% $Id: choose.cc,v 2.63 2001/11/09 14:12:00 rbcollins Exp $\n";
 #endif
 
 #include "win32.h"
@@ -45,7 +45,7 @@ static const char *cvsid =
 #include "log.h"
 #include "find.h"
 #include "filemanip.h"
-#include "mount.h"
+#include "io_stream.h"
 #include "choose.h"
 
 #include "port.h"
@@ -140,10 +140,9 @@ set_action (Package * pkg, bool preinc)
 	    return;
 	  }
 	/* the passed in trust level is missing... */
-	if (!preinc /* auto set */
-	    && pkg->installed 
-	    && pkg->action > ACTION_CURR) /* There is no current version */
-	    (int)pkg->action = ACTION_SAME_CURR;
+	if (!preinc		/* auto set */
+	    && pkg->installed && pkg->action > ACTION_CURR)	/* There is no current version */
+	  (int) pkg->action = ACTION_SAME_CURR;
 	break;
 	/* ACTION_SAME_* are used when the installed version is the same
 	   as the given action. */
@@ -963,8 +962,8 @@ _view::insert_under (int linen, pick_lin
     {
       if (lines[n].get_category () || (lines[n].get_pkg ()
 				       && strcasecmp (line.get_pkg ()->name,
-						      lines[n].get_pkg ()->
-						      name) < 0))
+						      lines[n].
+						      get_pkg ()->name) < 0))
 	{
 	  insert_at (n, line);
 	  n = nlines;
@@ -1032,9 +1031,10 @@ _view::click (int row, int x)
 		{
 		  if (lines[n].get_category () || (lines[n].get_pkg ()
 						   && strcasecmp (pkg->name,
-								  lines[n].
-								  get_pkg ()->
-								  name) < 0))
+								  lines
+								  [n].get_pkg
+								  ()->name) <
+						   0))
 		    {
 		      insert_at (n, line);
 		      n = nlines;
@@ -1158,7 +1158,8 @@ create_listview (HWND dlg, RECT * r)
   default_trust (lv, TRUST_CURR);
   set_view_mode (lv, VIEW_CATEGORY);
   if (!SetDlgItemText (dlg, IDC_CHOOSE_VIEWCAPTION, chooser->mode_caption ()))
-    log (LOG_BABBLE, "Failed to set View button caption %ld", GetLastError ());
+    log (LOG_BABBLE, "Failed to set View button caption %ld",
+	 GetLastError ());
   for (Package * foo = package; foo->name; foo++)
     add_required (foo);
   static int ta[] = { IDC_CHOOSE_CURR, 0 };
@@ -1520,17 +1521,16 @@ _Info::_Info (const char *_install, cons
 static void
 read_installed_db ()
 {
-  if (!get_root_dir ())
-    return;
-
   char line[1000], pkgname[1000], inst[1000], src[1000];
   int instsz, srcsz;
 
-  FILE *db = fopen (cygpath ("/etc/setup/installed.db", 0), "rt");
+  io_stream *db =
+    io_stream::open (concat ("cygfile://", "/etc/setup/installed.db", 0),
+		     "rt");
   if (!db)
     return;
 
-  while (fgets (line, 1000, db))
+  while (db->gets (line, 1000))
     {
       int parseable;
       src[0] = 0;
@@ -1570,7 +1570,7 @@ read_installed_db ()
 	      break;
 	    }
     }
-  fclose (db);
+  delete db;
 }
 
 int
Index: choose.h
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/choose.h,v
retrieving revision 2.3
diff -u -p -r2.3 choose.h
--- choose.h	2001/11/09 14:12:00	2.3
+++ choose.h	2001/11/11 06:54:55
@@ -45,7 +45,8 @@ typedef enum
   ACTION_SAME_TEST = ACTION_TEST + ACTION_SAME,
   /* Last action. */
   ACTION_SAME_LAST
-} actions;
+}
+actions;
 
 typedef enum
 {
@@ -54,7 +55,8 @@ typedef enum
   VIEW_PACKAGE,
   VIEW_CATEGORY,
   NVIEW
-} views;
+}
+views;
 
 struct _header
 {
@@ -70,46 +72,55 @@ typedef class _view view;
 
 class pick_line
 {
-  public:
-    void set_line (Package *_pkg);
-    void set_line (Category *_cat);
-    void paint (HDC hdc, int x, int y, int row, int show_cat);
-    Package *get_pkg (void) { return pkg; };
-    Category *get_category (void) { return cat; };
-    int click (int x);
-  private:
-    Package *pkg;
-    Category *cat;
+public:
+  void set_line (Package * _pkg);
+  void set_line (Category * _cat);
+  void paint (HDC hdc, int x, int y, int row, int show_cat);
+  Package *get_pkg (void)
+  {
+    return pkg;
+  };
+  Category *get_category (void)
+  {
+    return cat;
+  };
+  int click (int x);
+private:
+    Package * pkg;
+  Category *cat;
 };
 
 class _view
 {
-  public:
-    int num_columns;
-    views get_view_mode () { return view_mode; };
-    void set_view_mode(views _mode);
-    struct _header *headers;
+public:
+  int num_columns;
+  views get_view_mode ()
+  {
+    return view_mode;
+  };
+  void set_view_mode (views _mode);
+  struct _header *headers;
     _view (views mode, HDC dc);
-    const char *mode_caption ();
-    void insert_pkg (Package *);
-    void insert_category (Category *, int);
-    void clear_view (void);
-    int click (int row, int x);
-    int current_col;
-    int new_col;
-    int src_col;
-    int cat_col;
-    int pkg_col;
-    int last_col;
-    pick_line * lines;
-    int nlines;
+  const char *mode_caption ();
+  void insert_pkg (Package *);
+  void insert_category (Category *, int);
+  void clear_view (void);
+  int click (int row, int x);
+  int current_col;
+  int new_col;
+  int src_col;
+  int cat_col;
+  int pkg_col;
+  int last_col;
+  pick_line *lines;
+  int nlines;
 
-  private:
+private:
     views view_mode;
-    void set_headers (void);
-    void init_headers (HDC dc);
-    void insert_at (int, pick_line);
-    void insert_under (int linen, pick_line line); 
+  void set_headers (void);
+  void init_headers (HDC dc);
+  void insert_at (int, pick_line);
+  void insert_under (int linen, pick_line line);
 
 };
 #endif /* __cplusplus */
Index: concat.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/concat.cc,v
retrieving revision 2.2
diff -u -p -r2.2 concat.cc
--- concat.cc	2001/05/27 07:05:09	2.2
+++ concat.cc	2001/11/11 06:54:55
@@ -16,8 +16,12 @@
 /* See concat.h.  Note that we canonicalize the result, this avoids
    multiple slashes being interpreted as UNCs. */
 
-static char *cvsid = "\n%%% $Id: concat.cc,v 2.2 2001/05/27 07:05:09 cgf Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: concat.cc,v 2.2 2001/05/27 07:05:09 cgf Exp $\n";
+#endif
 
+
 #include <stdarg.h>
 #include <stdlib.h>
 #include <string.h>
@@ -61,12 +65,12 @@ vconcat (const char *s, va_list v)
   strcpy (rv, s);
   v = save_v;
   while (1)
-  {
-    arg = va_arg (v, char *);
-    if (arg == 0)
-      break;
-    strcat (rv, arg);
-  }
+    {
+      arg = va_arg (v, char *);
+      if (arg == 0)
+	break;
+      strcat (rv, arg);
+    }
   va_end (v);
 
   char *d, *p;
Index: desktop.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/desktop.cc,v
retrieving revision 2.13
diff -u -p -r2.13 desktop.cc
--- desktop.cc	2001/10/27 15:56:46	2.13
+++ desktop.cc	2001/11/11 06:54:55
@@ -18,7 +18,10 @@
    that unlike other do_* functions, this one is called directly from
    install.cc */
 
-static char *cvsid = "\n%%% $Id: desktop.cc,v 2.13 2001/10/27 15:56:46 cgf Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: desktop.cc,v 2.13 2001/10/27 15:56:46 cgf Exp $\n";
+#endif
 
 #include "win32.h"
 #include <shlobj.h>
@@ -39,9 +42,7 @@ static char *cvsid = "\n%%% $Id: desktop
 
 #include "port.h"
 
-extern "C" {
-  void make_link_2 (char *exepath, char *args, char *icon, char *lname);
-};
+#include "mklink2.h"
 
 static OSVERSIONINFO verinfo;
 
@@ -53,7 +54,7 @@ static OSVERSIONINFO verinfo;
 	@*
    */
 
-static char *etc_profile[] = {
+static const char *etc_profile[] = {
   "PATH=\"/usr/local/bin:/usr/bin:/bin:$PATH\"",
   "",
   "USER=\"`id -un`\"",
@@ -93,79 +94,83 @@ static char *batname;
 static char *iconname;
 
 static void
-make_link (char *linkpath, char *title, char *target)
+make_link (const char *linkpath, const char *title, const char *target)
 {
   char argbuf[_MAX_PATH];
   char *fname = concat (linkpath, "/", title, ".lnk", 0);
 
   if (_access (fname, 0) == 0)
-    return; /* already exists */
+    return;			/* already exists */
 
   msg ("make_link %s, %s, %s\n", fname, title, target);
 
   mkdir_p (0, fname);
 
-  char *exepath, *args;
+  char *exepath;
 
   /* If we are running Win9x, build a command line. */
   if (verinfo.dwPlatformId == VER_PLATFORM_WIN32_NT)
     {
-      exepath = target;
-      args = "";
+      exepath = concat (target, 0);
+      sprintf (argbuf, " ");
     }
   else
     {
-      char *pccmd;
       char windir[MAX_PATH];
 
       GetWindowsDirectory (windir, sizeof (windir));
       exepath = concat (windir, COMMAND9XEXE, 0);
       sprintf (argbuf, "%s %s", COMMAND9XARGS, target);
-      args = argbuf;
     }
 
-  msg ("make_link_2 (%s, %s, %s, %s)", exepath, args, iconname, fname);
-  make_link_2 (exepath, args, iconname, fname);
+  msg ("make_link_2 (%s, %s, %s, %s)", exepath, argbuf, iconname, fname);
+  make_link_2 (exepath, argbuf, iconname, fname);
 }
 
 static void
-start_menu (char *title, char *target)
+start_menu (const char *title, const char *target)
 {
   char path[_MAX_PATH];
   LPITEMIDLIST id;
   int issystem = (root_scope == IDC_ROOT_SYSTEM) ? 1 : 0;
-  SHGetSpecialFolderLocation (NULL, issystem ? CSIDL_COMMON_PROGRAMS : CSIDL_PROGRAMS, &id);
+  SHGetSpecialFolderLocation (NULL,
+			      issystem ? CSIDL_COMMON_PROGRAMS :
+			      CSIDL_PROGRAMS, &id);
   SHGetPathFromIDList (id, path);
 // following lines added because it appears Win95 does not use common programs
 // unless it comes into play when multiple users for Win95 is enabled
-  msg("Program directory for program link: %s",path);
-  if ( strlen(path) == 0) {
-     SHGetSpecialFolderLocation (NULL, CSIDL_PROGRAMS, &id);
-     SHGetPathFromIDList (id, path);
-     msg("Program directory for program link changed to: %s",path);
-  }
+  msg ("Program directory for program link: %s", path);
+  if (strlen (path) == 0)
+    {
+      SHGetSpecialFolderLocation (NULL, CSIDL_PROGRAMS, &id);
+      SHGetPathFromIDList (id, path);
+      msg ("Program directory for program link changed to: %s", path);
+    }
 // end of Win95 addition
   strcat (path, "/Cygnus Solutions");
   make_link (path, title, target);
 }
 
 static void
-desktop_icon (char *title, char *target)
+desktop_icon (const char *title, const char *target)
 {
   char path[_MAX_PATH];
   LPITEMIDLIST id;
   int issystem = (root_scope == IDC_ROOT_SYSTEM) ? 1 : 0;
   //SHGetSpecialFolderLocation (NULL, issystem ? CSIDL_DESKTOP : CSIDL_COMMON_DESKTOPDIRECTORY, &id);
-  SHGetSpecialFolderLocation (NULL, issystem ? CSIDL_COMMON_DESKTOPDIRECTORY : CSIDL_DESKTOPDIRECTORY, &id);
+  SHGetSpecialFolderLocation (NULL,
+			      issystem ? CSIDL_COMMON_DESKTOPDIRECTORY :
+			      CSIDL_DESKTOPDIRECTORY, &id);
   SHGetPathFromIDList (id, path);
 // following lines added because it appears Win95 does not use common programs
 // unless it comes into play when multiple users for Win95 is enabled
-  msg("Desktop directory for desktop link: %s",path);
-  if ( strlen(path) == 0) {
-     SHGetSpecialFolderLocation (NULL, CSIDL_DESKTOPDIRECTORY, &id);
-     SHGetPathFromIDList (id, path);
-     msg("Desktop directory for deskop link changed to: %s",path);
-  }
+  msg ("Desktop directory for desktop link: %s", path);
+  if (strlen (path) == 0)
+    {
+      SHGetSpecialFolderLocation (NULL, CSIDL_DESKTOPDIRECTORY, &id);
+      SHGetPathFromIDList (id, path);
+      msg ("Desktop directory for deskop link changed to: %s", path);
+    }
 // end of Win95 addition
   make_link (path, title, target);
 }
@@ -186,7 +191,8 @@ make_cygwin_bat ()
   fprintf (bat, "@echo off\n\n");
 
   fprintf (bat, "%.2s\n", get_root_dir ());
-  fprintf (bat, "chdir %s\n\n", backslash (concat (get_root_dir () + 2, "/bin", 0)));
+  fprintf (bat, "chdir %s\n\n",
+	   backslash (concat (get_root_dir () + 2, "/bin", 0)));
 
   fprintf (bat, "bash --login -i\n");
 
@@ -205,18 +211,18 @@ make_etc_profile ()
   char os;
   switch (verinfo.dwPlatformId)
     {
-      case VER_PLATFORM_WIN32_NT:
-	os = 'N';
-	break;
-      case VER_PLATFORM_WIN32_WINDOWS:
-	if (verinfo.dwMinorVersion == 0)
-	  os = '5';
-	else
-	  os = '8';
-	break;
-      default:
-	os = '?';
-	break;
+    case VER_PLATFORM_WIN32_NT:
+      os = 'N';
+      break;
+    case VER_PLATFORM_WIN32_WINDOWS:
+      if (verinfo.dwMinorVersion == 0)
+	os = '5';
+      else
+	os = '8';
+      break;
+    default:
+      os = '?';
+      break;
     }
   msg ("os is %c", os);
 
@@ -224,14 +230,14 @@ make_etc_profile ()
   if (!p)
     return;
 
-  int i, allow=1;
-  for (i=0; etc_profile[i]; i++)
+  int i, allow = 1;
+  for (i = 0; etc_profile[i]; i++)
     {
       if (etc_profile[i][0] == '@')
 	{
 	  allow = 0;
 	  msg ("profile: %s", etc_profile[i]);
-	  for (char *cp = etc_profile[i]+1; *cp; cp++)
+	  for (const char *cp = etc_profile[i] + 1; *cp; cp++)
 	    if (*cp == os || *cp == '*')
 	      allow = 1;
 	  msg ("allow is %d\n", allow);
@@ -244,7 +250,7 @@ make_etc_profile ()
 }
 
 static int
-uexists (char *path)
+uexists (const char *path)
 {
   char *f = cygpath (path, 0);
   int a = _access (f, 0);
@@ -266,12 +272,12 @@ make_passwd_group ()
   if (verinfo.dwPlatformId != VER_PLATFORM_WIN32_NT)
     {
       Package *pkg = getpkgbyname ("cygwin");
-      if (pkg && is_download_action (pkg) &&
-	  pkg->action != ACTION_SRC_ONLY)
+      if (pkg && is_download_action (pkg) && pkg->action != ACTION_SRC_ONLY)
 	{
 	  /* mkpasswd and mkgroup are not working on 9x/ME up to 1.1.5-4 */
 	  char *border_version = canonicalize_version ("1.1.5-4");
-	  char *inst_version = canonicalize_version (pkg->info[pkg->trust].version);
+	  char *inst_version =
+	    canonicalize_version (pkg->info[pkg->trust].version);
 	  if (strcmp (inst_version, border_version) <= 0)
 	    goto out;
 	}
@@ -285,7 +291,7 @@ make_passwd_group ()
   if (!uexists ("/etc/group"))
     fprintf (p, "bin\\mkgroup -l > etc\\group\n");
 
- out:
+out:
   fclose (p);
 }
 
@@ -312,21 +318,23 @@ save_icon ()
 }
 
 static void
-do_desktop_setup()
+do_desktop_setup ()
 {
   save_icon ();
 
   make_cygwin_bat ();
   make_etc_profile ();
   make_passwd_group ();
+
+  if (root_menu)
+    {
+      start_menu ("Cygwin Bash Shell", batname);
+    }
 
-  if (root_menu) {
-    start_menu ("Cygwin Bash Shell", batname);
-  }
-
-  if (root_desktop) {
-    desktop_icon ("Cygwin", batname);
-  }
+  if (root_desktop)
+    {
+      desktop_icon ("Cygwin", batname);
+    }
 }
 
 static int da[] = { IDC_ROOT_DESKTOP, 0 };
@@ -346,61 +354,69 @@ load_dialog (HWND h)
   check_if_enable_next (h);
 }
 
-static int check_desktop (char *title, char *target)
+static int
+check_desktop (const char *title, const char *target)
 {
   char path[_MAX_PATH];
   LPITEMIDLIST id;
   int issystem = (root_scope == IDC_ROOT_SYSTEM) ? 1 : 0;
-  SHGetSpecialFolderLocation (NULL, issystem ? CSIDL_COMMON_DESKTOPDIRECTORY : CSIDL_DESKTOPDIRECTORY, &id);
+  SHGetSpecialFolderLocation (NULL,
+			      issystem ? CSIDL_COMMON_DESKTOPDIRECTORY :
+			      CSIDL_DESKTOPDIRECTORY, &id);
   SHGetPathFromIDList (id, path);
   // following lines added because it appears Win95 does not use common programs
   // unless it comes into play when multiple users for Win95 is enabled
-  msg ("Desktop directory for desktop link: %s",path);
-  if (strlen (path) == 0) {
-     SHGetSpecialFolderLocation (NULL, CSIDL_DESKTOPDIRECTORY, &id);
-     SHGetPathFromIDList (id, path);
-     msg ("Desktop directory for deskop link changed to: %s",path);
-  }
+  msg ("Desktop directory for desktop link: %s", path);
+  if (strlen (path) == 0)
+    {
+      SHGetSpecialFolderLocation (NULL, CSIDL_DESKTOPDIRECTORY, &id);
+      SHGetPathFromIDList (id, path);
+      msg ("Desktop directory for deskop link changed to: %s", path);
+    }
   // end of Win95 addition
   char *fname = concat (path, "/", title, ".lnk", 0);
 
   if (_access (fname, 0) == 0)
-    return 0; /* already exists */
+    return 0;			/* already exists */
 
-  fname = concat (path, "/", title, ".pif", 0); /* check for a pif as well */
+  fname = concat (path, "/", title, ".pif", 0);	/* check for a pif as well */
 
   if (_access (fname, 0) == 0)
-    return 0; /* already exists */
+    return 0;			/* already exists */
 
   return IDC_ROOT_DESKTOP;
 }
 
-static int check_startmenu (char *title, char *target)
+static int
+check_startmenu (const char *title, const char *target)
 {
   char path[_MAX_PATH];
   LPITEMIDLIST id;
   int issystem = (root_scope == IDC_ROOT_SYSTEM) ? 1 : 0;
-  SHGetSpecialFolderLocation (NULL, issystem ? CSIDL_COMMON_PROGRAMS : CSIDL_PROGRAMS, &id);
+  SHGetSpecialFolderLocation (NULL,
+			      issystem ? CSIDL_COMMON_PROGRAMS :
+			      CSIDL_PROGRAMS, &id);
   SHGetPathFromIDList (id, path);
   // following lines added because it appears Win95 does not use common programs
   // unless it comes into play when multiple users for Win95 is enabled
-  msg ("Program directory for program link: %s",path);
-  if (strlen (path) == 0) {
-     SHGetSpecialFolderLocation (NULL, CSIDL_PROGRAMS, &id);
-     SHGetPathFromIDList (id, path);
-     msg ("Program directory for program link changed to: %s",path);
-  }
+  msg ("Program directory for program link: %s", path);
+  if (strlen (path) == 0)
+    {
+      SHGetSpecialFolderLocation (NULL, CSIDL_PROGRAMS, &id);
+      SHGetPathFromIDList (id, path);
+      msg ("Program directory for program link changed to: %s", path);
+    }
   // end of Win95 addition
   strcat (path, "/Cygnus Solutions");
   char *fname = concat (path, "/", title, ".lnk", 0);
 
   if (_access (fname, 0) == 0)
-    return 0; /* already exists */
+    return 0;			/* already exists */
 
-  fname = concat (path, "/", title, ".pif", 0); /* check for a pif as well */
+  fname = concat (path, "/", title, ".pif", 0);	/* check for a pif as well */
 
   if (_access (fname, 0) == 0)
-    return 0; /* already exists */
+    return 0;			/* already exists */
 
   return IDC_ROOT_MENU;
 }
@@ -408,7 +424,7 @@ static int check_startmenu (char *title,
 static void
 save_dialog (HWND h)
 {
-  root_desktop= rbget (h, da);
+  root_desktop = rbget (h, da);
   root_menu = rbget (h, ma);
 }
 
@@ -426,7 +442,7 @@ dialog_cmd (HWND h, int id, HWND hwndctl
 
     case IDOK:
       save_dialog (h);
-      do_desktop_setup();
+      do_desktop_setup ();
       NEXT (IDD_S_POSTINSTALL);
       break;
 
@@ -439,6 +455,7 @@ dialog_cmd (HWND h, int id, HWND hwndctl
       NEXT (0);
       break;
     }
+  return 0;
 }
 
 static BOOL CALLBACK
@@ -463,8 +480,11 @@ do_desktop (HINSTANCE h)
   verinfo.dwOSVersionInfoSize = sizeof (verinfo);
   GetVersionEx (&verinfo);
 
-  root_desktop = check_desktop("Cygwin",backslash (cygpath ("/cygwin.bat", 0)));
-  root_menu = check_startmenu("Cygwin Bash Shell",backslash (cygpath ("/cygwin.bat", 0)));
+  root_desktop =
+    check_desktop ("Cygwin", backslash (cygpath ("/cygwin.bat", 0)));
+  root_menu =
+    check_startmenu ("Cygwin Bash Shell",
+		     backslash (cygpath ("/cygwin.bat", 0)));
 
   int rv = 0;
 
Index: dialog.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/dialog.cc,v
retrieving revision 2.3
diff -u -p -r2.3 dialog.cc
--- dialog.cc	2001/05/27 07:05:09	2.3
+++ dialog.cc	2001/11/11 06:54:55
@@ -16,7 +16,10 @@
 /* The purpose of this file is to provide common functionality for
    all the dialogs in the program. */
 
-static char *cvsid = "\n%%% $Id: dialog.cc,v 2.3 2001/05/27 07:05:09 cgf Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: dialog.cc,v 2.3 2001/05/27 07:05:09 cgf Exp $\n";
+#endif
 
 #include "win32.h"
 #include <stdio.h>
@@ -60,14 +63,14 @@ eset (HWND h, int id, const char *val)
 void
 eset (HWND h, int id, int val)
 {
-  SetDlgItemInt (h, id, (UINT)val, TRUE);
+  SetDlgItemInt (h, id, (UINT) val, TRUE);
 }
 
 int
 rbget (HWND h, int *ids)
 {
   int i;
-  for (i=0; ids[i]; i++)
+  for (i = 0; ids[i]; i++)
     if (IsDlgButtonChecked (h, ids[i]) == BST_CHECKED)
       return ids[i];
   return 0;
@@ -77,22 +80,17 @@ void
 rbset (HWND h, int *ids, int id)
 {
   int i;
-  for (i=0; ids[i]; i++)
-    CheckDlgButton (h, ids[i], id==ids[i] ? BST_CHECKED : BST_UNCHECKED);
+  for (i = 0; ids[i]; i++)
+    CheckDlgButton (h, ids[i], id == ids[i] ? BST_CHECKED : BST_UNCHECKED);
 }
 
 void
-fatal (char *msg)
+fatal (const char *msg)
 {
   DWORD e = GetLastError ();
   char *buf;
   FormatMessage (FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM,
-		 0,
-		 e,
-		 0,
-		 (CHAR *)&buf,
-		 0,
-		 0);
+		 0, e, 0, (CHAR *) & buf, 0, 0);
   MessageBox (0, buf, msg, 0);
   exit_setup (1);
 }
Index: dialog.h
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/dialog.h,v
retrieving revision 2.3
diff -u -p -r2.3 dialog.h
--- dialog.h	2001/05/27 07:05:09	2.3
+++ dialog.h	2001/11/11 06:54:55
@@ -26,20 +26,20 @@ extern int exit_msg;
 
 /* prototypes for all the do_* functions (most called by main.cc) */
 
-D(do_choose);
-D(do_desktop);
-D(do_download);
-D(do_fromcwd);
-D(do_ini);
-D(do_install);
-D(do_local_dir);
-D(do_net);
-D(do_other);
-D(do_postinstall);
-D(do_root);
-D(do_site);
-D(do_source);
-D(do_splash);
+D (do_choose);
+D (do_desktop);
+D (do_download);
+D (do_fromcwd);
+D (do_ini);
+D (do_install);
+D (do_local_dir);
+D (do_net);
+D (do_other);
+D (do_postinstall);
+D (do_root);
+D (do_site);
+D (do_source);
+D (do_splash);
 
 #undef D
 
@@ -48,25 +48,25 @@ D(do_splash);
 
 /* Get the value of an EditText control.  Pass the previously stored
    value and it will free the memory if needed. */
- 
+
 char *eget (HWND h, int id, char *var);
 
 /* Same, but convert the value to an integer */
 
-int   eget (HWND h, int id);
+int eget (HWND h, int id);
 
 /* Set the EditText control to the given string or integer */
 
-void  eset (HWND h, int id, const char *var);
-void  eset (HWND h, int id, int var);
+void eset (HWND h, int id, const char *var);
+void eset (HWND h, int id, int var);
 
 /* RadioButtons.  ids is a null-terminated list of IDs.  Get
    returns the selected ID (or zero), pass an ID to set */
 
-int   rbget (HWND h, int *ids);
-void  rbset (HWND h, int *ids, int id);
+int rbget (HWND h, int *ids);
+void rbset (HWND h, int *ids, int id);
 
 /* *This* version of fatal (compare with msg.h) uses GetLastError() to
    format a suitable error message.  Similar to perror() */
 
-void fatal (char *msg);
+void fatal (const char *msg) __attribute__ ((noreturn));
Index: diskfull.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/diskfull.cc,v
retrieving revision 2.1
diff -u -p -r2.1 diskfull.cc
--- diskfull.cc	2001/05/27 07:05:09	2.1
+++ diskfull.cc	2001/11/11 06:54:55
@@ -18,14 +18,17 @@
    handle disks bigger than 2G, and a new API that isn't always
    available. */
 
-static char *cvsid = "\n%%% $Id: diskfull.cc,v 2.1 2001/05/27 07:05:09 cgf Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: diskfull.cc,v 2.1 2001/05/27 07:05:09 cgf Exp $\n";
+#endif
 
 #include "win32.h"
 
 #include "diskfull.h"
 
-typedef   BOOL WINAPI (*GDFS)(LPCTSTR, PULARGE_INTEGER, PULARGE_INTEGER,
-			      PULARGE_INTEGER);
+typedef BOOL WINAPI (*GDFS) (LPCTSTR, PULARGE_INTEGER, PULARGE_INTEGER,
+			     PULARGE_INTEGER);
 
 int
 diskfull (const char *path)
@@ -43,7 +46,7 @@ diskfull (const char *path)
 	  if (gdfs (path, &avail, &total, &free))
 	    {
 	      int perc = avail.QuadPart * 100 / total.QuadPart;
-	      return 100-perc;
+	      return 100 - perc;
 	    }
 	}
     }
@@ -62,7 +65,7 @@ diskfull (const char *path)
   if (GetDiskFreeSpace (root, &junk, &junk, &free_clusters, &total_clusters))
     {
       int perc = free_clusters * 100 / total_clusters;
-      return 100-perc;
+      return 100 - perc;
     }
 
   return 0;
Index: download.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/download.cc,v
retrieving revision 2.12
diff -u -p -r2.12 download.cc
--- download.cc	2001/06/13 16:11:01	2.12
+++ download.cc	2001/11/11 06:54:55
@@ -16,7 +16,10 @@
 /* The purpose of this file is to download all the files we need to
    do the installation. */
 
-static char *cvsid = "\n%%% $Id: download.cc,v 2.12 2001/06/13 16:11:01 cgf Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: download.cc,v 2.12 2001/06/13 16:11:01 cgf Exp $\n";
+#endif
 
 #include "win32.h"
 
@@ -34,8 +37,7 @@ static char *cvsid = "\n%%% $Id: downloa
 #include "log.h"
 #include "port.h"
 
-DWORD
-get_file_size (const char *name)
+DWORD get_file_size (const char *name)
 {
   HANDLE h;
   WIN32_FIND_DATA buf;
@@ -52,22 +54,20 @@ get_file_size (const char *name)
 }
 
 static int
-download_one (char *name, int expected_size, int action)
+download_one (char *name, unsigned int expected_size, int action)
 {
   char *local = name;
-  int errors = 0;
 
   DWORD size;
   if ((size = get_file_size (local)) > 0)
     if (size == expected_size && action != ACTION_SRC_ONLY
-  && action != ACTION_REDO )
+	&& action != ACTION_REDO)
       return 0;
 
   mkdir_p (0, local);
 
   if (get_url_to_file (concat (MIRROR_SITE, "/", name, 0),
-		       concat (local, ".tmp", 0),
-		       expected_size))
+		       concat (local, ".tmp", 0), expected_size))
     {
       note (IDS_DOWNLOAD_FAILED, name);
       return 1;
@@ -78,13 +78,13 @@ download_one (char *name, int expected_s
       if (size == expected_size)
 	{
 	  log (0, "Downloaded %s", local);
-    if ( _access (local , 0) == 0)
-       remove ( local );
+	  if (_access (local, 0) == 0)
+	    remove (local);
 	  rename (concat (local, ".tmp", 0), local);
 	}
       else
 	{
-	  log (0, "Download %s wrong size (%d actual vs %d expected)",
+	  log (0, "Download %s wrong size (%ld actual vs %d expected)",
 	       local, size, expected_size);
 	  note (IDS_DOWNLOAD_SHORT, local, size, expected_size);
 	  return 1;
@@ -97,30 +97,27 @@ download_one (char *name, int expected_s
 void
 do_download (HINSTANCE h)
 {
-  int i;
   int errors = 0;
   total_download_bytes = 0;
   total_download_bytes_sofar = 0;
 
-  for (Package *pkg = package; pkg->name; pkg++)
+  for (Package * pkg = package; pkg->name; pkg++)
     if (is_download_action (pkg))
       {
 	Info *pi = pkg->info + pkg->trust;
 	DWORD size = get_file_size (pi->install);
 	char *local = pi->install;
 	if (pkg->action != ACTION_SRC_ONLY &&
-	    (pkg->action == ACTION_REDO ||
-	     size != pi->install_size))
+	    (pkg->action == ACTION_REDO || size != pi->install_size))
 	  total_download_bytes += pi->install_size;
 	local = pi->source;
 	size = get_file_size (pi->source);
 	if (pkg->srcpicked &&
-	    (pkg->action == ACTION_SRC_ONLY ||
-	     size != pi->source_size))
+	    (pkg->action == ACTION_SRC_ONLY || size != pi->source_size))
 	  total_download_bytes += pi->source_size;
       }
 
-  for (Package *pkg = package; pkg->name; pkg++)
+  for (Package * pkg = package; pkg->name; pkg++)
     if (is_download_action (pkg))
       {
 	int e = 0;
Index: filemanip.h
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/filemanip.h,v
retrieving revision 1.3
diff -u -p -r1.3 filemanip.h
--- filemanip.h	2001/06/13 16:11:01	1.3
+++ filemanip.h	2001/11/11 06:54:55
@@ -22,8 +22,9 @@ typedef struct
   char ver[MAX_PATH + 1];
   char tail[MAX_PATH + 1];
   char what[16];
-} fileparse;
+}
+fileparse;
 
-int parse_filename (const char *in_fn, fileparse& f);
+int parse_filename (const char *in_fn, fileparse & f);
 char *base (const char *name);
 DWORD get_file_size (const char *name);
Index: find.cc
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/find.cc,v
retrieving revision 2.1
diff -u -p -r2.1 find.cc
--- find.cc	2001/04/18 20:11:58	2.1
+++ find.cc	2001/11/11 06:54:55
@@ -16,7 +16,10 @@
 /* The purpose of this file is to doa recursive find on a given
    directory, calling a given function for each file found. */
 
-static char *cvsid = "\n%%% $Id: find.cc,v 2.1 2001/04/18 20:11:58 cgf Exp $\n";
+#if 0
+static const char *cvsid =
+  "\n%%% $Id: find.cc,v 2.1 2001/04/18 20:11:58 cgf Exp $\n";
+#endif
 
 #include "win32.h"
 #include <stdio.h>
@@ -24,7 +27,7 @@ static char *cvsid = "\n%%% $Id: find.cc
 
 #include "port.h"
 
-static void (*for_each)(char *, unsigned int);
+static void (*for_each) (char *, unsigned int);
 static char dir[_MAX_PATH], *found_part;
 
 static int
@@ -43,29 +46,31 @@ find_sub ()
   if (h == INVALID_HANDLE_VALUE)
     return 0;
 
-  do {
-    if (strcmp (wfd.cFileName, ".") == 0
-	|| strcmp (wfd.cFileName, "..") == 0)
-      continue;
-
-    strcpy (end, wfd.cFileName);
-
-    if (wfd.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY)
-      find_sub ();
-    else
-      {
-	for_each (found_part, wfd.nFileSizeLow);
-	rv++;
-      }
+  do
+    {
+      if (strcmp (wfd.cFileName, ".") == 0
+	  || strcmp (wfd.cFileName, "..") == 0)
+	continue;
+
+      strcpy (end, wfd.cFileName);
+
+      if (wfd.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY)
+	find_sub ();
+      else
+	{
+	  for_each (found_part, wfd.nFileSizeLow);
+	  rv++;
+	}
 
-  } while (FindNextFile (h, &wfd));
+    }
+  while (FindNextFile (h, &wfd));
 
   FindClose (h);
   return rv;
 }
 
 int
-find (char *starting_dir, void (*_for_each)(char *, unsigned int))
+find (const char *starting_dir, void (*_for_each) (char *, unsigned int))
 {
   strcpy (dir, starting_dir);
   for_each = _for_each;
Index: find.h
===================================================================
RCS file: /cvs/src/src/winsup/cinstall/find.h,v
retrieving revision 2.0
diff -u -p -r2.0 find.h
--- find.h	2000/08/08 00:27:54	2.0
+++ find.h	2001/11/11 06:54:55
@@ -19,4 +19,5 @@
    (bytes).  find() returns the number of files found.  Directories
    are scanned but not included in the "found" files. */
 
-extern int find (char *starting_dir, void (*for_each)(char *, unsigned int));
+extern int find (const char *starting_dir,
+		 void (*for_each) (char *, unsigned int));
